#workDetailBody {
    font-family: PingFangTC, PingFangTC;
}

#workDetailMain {
    position: relative;
}

#navContainer {
    background-color: rgba(0, 0, 0, 0);
}

#headerContainer {
    height: 483px;
    background-image:url("../picture/bg-3.png");
    background-position:center center;
    background-repeat:no-repeat;
    background-size:cover;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

#headerTContainer {
    width: 62%;
    display: flex;
    flex-flow: column;
    align-items: start;
    justify-content: center;
}

#headerTContainer .blue-trangle {
    width: 0;
    height: 0;
    border-right: 16px solid transparent;
    border-bottom: 16px solid transparent;
    border-left: 16px solid var(--main-color);
}

#headerTContainer #titleTxt {
    width: 100%;
    font-weight: 500;
    font-size: 48px;
    color: #FFFFFF;
    line-height: 67px;
    letter-spacing: 3px;
    text-align: left;
}

#headerTContainer #descTxt {
    width: 100%;
    font-weight: 400;
    font-size: 26px;
    color: #FFFFFF;
    line-height: 37px;
    letter-spacing: 3px;
    text-align: left;
    font-style: normal;
    text-transform: uppercase;
}

#designImgsMobile {
    display: none;
}

#designImgs {
    display: flex;
    justify-content: center;
    position: absolute;
    margin-top: -126px;
    width: 100%;
}

#designImgsContainer, #designDetailContainer, #moreTContainer{
    width: 90%;
    max-width:1200px;
    justify-content: space-between;
}

#designImgsContainer .big-img-div {
    width: 77.5%;
}

#designImgsContainer .big-img {
    max-width: 96%;
    height: 639px;
    border-radius: 10px;
}

#designImgsContainer .small-img-div {
    width: 22.5%;
    height: 639px;
    display: flex;
    flex-flow: column;
    align-items: center;
    position: relative;
}

#designImgsContainer .arrow {
    width: 74px;
    height: 33px;
    position: absolute;
    left: 50%;
    margin-left: -37px;
}

#designImgsContainer .up-arrow {
    top: 0px;
}

#designImgsContainer .down-arrow {
    bottom: -2px;
}

#designImgsContainer .small-img {
    width: 270px;
    height: 191px;
    border-radius: 10px;
    margin-bottom: 34px;
}


#designImgsContainer .case-items {
    width: 100%;
}

#designImgsContainer .content {
    display: flex;
    flex-flow: column;
    justify-content: flex-end;
    align-items: start;
    box-sizing: border-box;
    width: 100%;
    height: 191px;
    border-radius: 10px;
}

#designImgsContainer .content img {
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

#designImgsContainer .design-swiper {
    width: 100%;
    height: 639px;
}

#designImgsContainer .design-swiper .swiper-slide{
    height: 191px;
}

#designImgsContainer .swiper-button-prev,
#designImgsContainer .swiper-button-next {
    width: 50px;
    height: 50px;
}

#designImgsContainer .swiper-button-next:after,
#designImgsContainer .swiper-button-prev:after {
    display: none;
}

#designImgsContainer .swiper-button-prev svg,
#designImgsContainer .swiper-button-next svg {
    width: 100%;
    height: 100%;
}

/* Set background color and position */
#designImgsContainer .swiper-button-prev {
    position: absolute;
    top: 12px;
    left: calc(50% - 28px); /* Adjust this value for horizontal positioning */
}

#designImgsContainer .swiper-button-next {
    position: absolute;
    top: calc(100% - 20px);
    left: calc(50% - 28px); /* Adjust this value for horizontal positioning */
}

#designDetail {
    padding-top: 553px;
}

#designDetailContainer .sec-1 {
    padding-bottom: 20px;
    border-bottom: 1px solid #333333;
    display: flex;
    justify-content: space-between;
}

#designDetailContainer .title {
    font-weight: 500;
    font-size: 26px;
    color: #333333;
    line-height: 37px;
    text-align: left;
}

#designDetailContainer .sec-1 .left-wrapper {
    flex: 1;
}

#designDetailContainer .sec-1 .left-wrapper .details {
    padding-top: 12px;
    padding-bottom: 12px;
}

#designDetailContainer .sec-1 .left-wrapper .details .detail {
    display: flex;
    justify-content: space-around;
}

#designDetailContainer .sec-1 .left-wrapper .details .detail .item{
    flex: 1;
    padding-bottom: 12px;
}

#designDetailContainer .sec-1 .left-wrapper .details .detail .t {
    font-weight: 400;
    font-size: 18px;
    color: #666666;
    line-height: 25px;
}

#designDetailContainer .sec-1 .left-wrapper .details .detail .d {
    font-weight: 400;
    font-size: 18px;
    color: #333333;
    line-height: 25px;
}

#designDetailContainer .sec-1 .right-wrapper .contant-phone-btn {
    background: #333333;
    border-radius: 5px;
    padding: 18px 16px;

    font-weight: 500;
    font-size: 18px;
    color: #FFFFFF;
    line-height: 25px;
}

#designDetailContainer .sec-1 .right-wrapper .contant-phone-btn a{
    color: #ffffff;
}

#designDetailContainer .sec-1 .right-wrapper .contant-phone-btn .phone-icon{
    width: 26px;
    height: 26px;
    margin-right: 8px;
}

#designDetailContainer .sec-2 {
    font-weight: 400;
    font-size: 14px;
    color: #666666;
    line-height: 32px;
    padding-top: 32px;
}

#moreTContainer .right-wrapper {
    padding-top: 150px;
    display: flex;
    justify-content: end;
}

#contactUs {
    background-image:url("../picture/hill-bg.png");
    background-position:center;
    background-repeat:no-repeat;
    background-size:cover;
}

#contactUsContainer {
    width: 90%;
    max-width:1200px;
    padding-bottom: 100px;
}

#contact-form {
    padding-top: 32px;
    width: 100%;
}

#contact-form .left-wrapper,
#contact-form .right-wrapper{
    width: 50%;
    padding-bottom: 32px;
    display: flex;
    flex-flow: column;
}

#contact-form .right-wrapper{
    padding-left: 5%;
}

#contact-form label {
    font-weight: 400;
    font-size: 20px;
    color: #333333;
    line-height: 28px;
}

#contact-form input {
    width: 96%;
    height: 44px;
    padding-left: 14px;
    border: 1px solid #333333;
    margin-top: 24px;
    border-radius: 5px;
}

#contact-form .requirement {
    display: flex;
    flex-flow: column;

}

#contact-form .requirement textarea {
    width: 100%;
    height: 93px;
    margin-top: 24px;
    border-radius: 5px;
    padding: 12px  14px;
}

#contact-form .submit-btn-div {
    padding-top: 42px;
    display: flex;
    justify-content: center;
}

#contact-form .submit-btn {
    background: #333333;
    border-radius: 5px;
    display: flex;
    align-items: center;
    font-weight: 400;
    font-size: 20px;
    color: #FFFFFF;
    line-height: 28px;
    padding: 15px 253px;
    cursor: pointer;
    border: none;
    transition: background-color 0.5s ease;
}

#contact-form .submit-btn:hover {
    background-color: var(--main-color);
}

#contact-form .submit-btn .right-arrow {
    height: 28px;;
    margin-left: 16px;
}

#successCaseContainer .case-items {
    width: 100%;
}

#successCaseContainer .content {
    display: flex;
    flex-flow: column;
    justify-content: flex-end;
    align-items: start;
    box-sizing: border-box;
    height: 319px;
}

#successCaseContainer .content a {
    width: 100%;
    height: 100%;
}

#successCaseContainer .content img {
    width: 100%;
}

#successCaseContainer .swiper {
    width: 100%;
    padding: 32px 0 186px 0;
  }

  #successCaseContainer .swiper-slide {
    width: 25%;
  }

  #successCaseContainer .swiper-pagination {
    color: #CCCCCC;
    font-weight: 500;
    font-size: 16px;
    line-height: 22px;
    top: 436px;
    width: 46%;
    left: 50%;
    margin-left: -23%;
  }

  #successCaseContainer .swiper-pagination-progressbar .swiper-pagination-progressbar-fill {
    background: var(--main-color);
  }

  .more-case-container {
    padding-top: 32px;
  }


